Jobs
Get all versions of an image
GET
Returns all versions for a specific image_index across all group_index values.
Useful for viewing regeneration history and selecting a specific version.
Each version carries provenance (how it was made and from which
version) and reviews (the review verdicts given on it).
Note: Identity preprocessing jobs do not support image versioning.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
job_id*stringimage_index*integerImage index being queried
Format
int32Successful Response
application/json- response
Response containing all versions of a specific image.
job_id*Job IdJob ID.
image_index*Image IndexImage index being queried.
versions*array<>All versions of this image, ordered by group_index asc, version desc.
curl -X GET "https://example.com/jobs/string/versions/0"{ "job_id": "string", "image_index": 0, "versions": [ { "id": 0, "job_id": "string", "image_index": 0, "group_index": 0, "version": 0, "original_filename": "string", "download_filename": null, "inputs": [ { "full_size": null, "thumbnail": null, "uuid": null, "tags": [] } ], "output": { "full_size": null, "thumbnail": null, "uuid": null }, "input_description": {}, "model_used": null, "output_dims": null, "detail_needs_review": false, "detail_review_reason": null, "quality": null, "quality_pending": false, "quality_history": [], "takes": null, "garment_drift": null, "status": "string", "quality_score": 0, "processing_time": 0, "error_message": "string", "feedback": "like", "feedback_comment": "string", "created_at": "string", "review_status": null, "reviewed_before": false, "review_annotations": null, "produced_by": null, "previous_output": null, "previous_annotations": null, "approved_round": null, "retouch_package": null, "retouch_claim": null, "ai_retouch": null, "ai_fix": null, "tags": [], "provenance": null, "reviews": [] } ]}